#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int n,k,kics=0;// "kics" a kicserelt mezok szamat jeloli
    scanf("%lli %lli", &n, &k);
    long long int dobas[n],i,szamok[(2*n+1)],hej[n/k+1],m=0;// dobas helye, "szamok" meg h melyik helyet hanyszor talalta el , "hej" pedig h melyik szam az,
    for(i=1; i<=n; i++)
    {
        scanf("%lli", &dobas[i]);
    }
    for(i=0; i<(2*n+1); i++)
    {
       szamok[i]=0;
    }



    for(i=1; i<=n; i++)
    {
        szamok[dobas[i]+n]+=1;



    }
    for(i=0; i<(2*n+1); i++)
    {
        if(szamok[i]>=k)
        {
            kics+=1;
            hej[m]=i-n;
            m++;

        }



    }

    printf("%lli\n", kics);
    for(i=0; i<m; i++)
    {
        printf("%lli ", hej[i]);
    }

    return 0;
}